---
title: "How not to do customer service: Credit card edition"
date: 2013-10-07T20:00:00.000Z
layout: post
path: /how-not-to-do-customer-service-credit-card-edition/
next: /resolutions-and-systems/
previous: /my-standard-breakfast/
tags:
  - fun
  - software
---

There a lot of great companies out there today using technology to build really nice user experiences. But the sad fact is that there are some pretty painful seams left in those nice experiences. Below follows three recent situations related to the arrival of a replacement credit card in my mailbox.

<div class='fold'></div>

_Actually, before I get started let me complain a little about my credit card company. Okay, fair enough, they didn't cancel my old one so I had no immediate problems. What I'm concerned about is that the only notification I got about the situation was via a non-descript envelope in the mail, which I check probably once a week. No email, no text, no phone call, nothing. And I actually don't recall any reason given for the new card - I assume that it was because "fraudulent activity" was detected, but I'm not sure. But I suppose it could have been some sort of hacked website or something. Very strange._

Okay, on to the resultant customer service foibles. These stories all begin after I'd already gone through the process of updating my card in a few places as purchases failed, like Amazon and Apple.

## Car2go

I'm a big fan of car2go - it's a great compromise between driving and the bus. Check it out if you haven't yet. :0)

A couple days after using one of their tiny little blue and white cars, I get this message:

> Dear Mr. Nonnenberg,
>
> We are writing to inform you that your car2go membership card has been locked by the car2go Service Team. An account may be locked for unpaid invoices, misuse of the service, involvement in an accident, or even at the request of the member.
>
> Please contact our Service Center at 877.488.4224 if you feel you have received this message in error or if you would like further information on how to reactivate your car2go membership.
>
> With kind regards,
> Your car2go Team

Okay, so that's a bit general, but I'm pretty sure what happened. Something to do with my payment information. As soon as I read it I hit the car2go site and update my billing information. Later that day, I miss a bus and attempt to use car2go. Nope! The account is still locked. I start to call customer service, but a bus arrives and I'm on my way.

Four days later, I get this message:

> Dunning Letter date
> 08/26/2013
>
> Overdue amount 19.60 USD
>
> Dear Sir/ Madam
>
> According to our records your account is overdue as outlined above; the relevant documents are detailed in the enclosed schedule. Please update your credit card details on your on-line account at www.car2go.com.
>
> As per the Terms and Conditions, a $25 fee may be assessed for processing your account. In case of any issue please contact your car2go shop.
>
> Sincerely,
> car2go N.A. LLC

In case you're unfamiliar with the term "[dunning](http://en.wikipedia.org/wiki/Dunning_(process))" (I wasn't), it's another way of saying "collections." Probably has something to do with the fact that car2go is a German company. Either way, not the best term to use with your customers. And it's all unnecessary anyway. I had already updated my billing information on the site. Why are they still unhappy? And a $25 charge? Really?

I immediately forward the mail to the Seattle office, with an additional note:

> Hi there - I updated my credit card number on the main car2go site Thursday of last week, but I just received this collections email. I assumed that updating it on the site would fix things, but that doesn't seem to be the case. Can you tell me what else I need to do to unlock my account?
>
> _Scott

Never got a response to this, but my account was reactivated. I was able to use car2go again when I next tried it 16 days later. That really could have gone a lot better.

## Seattle ORCA card

Seattle installed card readers in all their public transit a few years ago, allowing you to put money on their new "One Regional Card for All" (ORCA) cards. And you could even attach a credit card to them so when you got below a given balance, it would automatically charge the card for a refill amount you specify. A nice little convenient system.

So, I'm happily using my card for the occasional bus trip when I get this email:

> Dear Customer:
>
> We're sorry, the Autoload associated with your ORCA card(s) has been cancelled because payment from your bank was declined.
>
> For E-Purse or Pass Autoload (not King County Metro Access pass):
>
> Call the ORCA Regional Autoload Center at 206-263-3112. Leave a message with your name, phone number and ORCA card serial number. We will contact you within two business days regarding the amount owed for the failed Autoload and how to pay for the value loaded on your ORCA card.
>
> The pass/E-purse did load to your ORCA card and is usable to pay your fare. If we do not hear from you within two business days, we will block the pass/E-purse on your ORCA card and it will not be available for fare payment. Once we receive your payment, it will take several business days for the pass/E-purse to be unblocked and valid for fare payment.
>
> We will explain the available payment methods when we return your call. We cannot resubmit an electronic payment once an Autoload has failed.
>
> Please call 206-263-3112 as soon as possible. Your call will be returned promptly.
>
>
> For King County Metro Access Pass Autoload:
>
> &lt;snip - three paragraphs>
>
> You do not need to contact us unless you need help or have questions. If you need help buying an Access pass or setting up a new Autoload, call 888-988-6722 / TTY Relay: 711.
>
> Thank you.
> ORCA Regional Autoload Management Office

Wow, that's a lot to absorb. And there's a lot of distracting text at the bottom, since I don't have the King County Metro Access Pass. It's too bad, too, because those folks "do not need to contact us unless you need help or have questions." I'll actually have to pick up the phone.

First I check out what the ORCA card website says about my account - it looks like I have no autoload, so I set up a new one with my new credit card. That should just solve the problem, right?

To be sure, I make the call, talk to them, and find out that I have to physically mail a check to them; my new settings will work going forward, but they can't use that information to cover my failed charge. And, it seems, they're just about as frustrated about that in their office, where they handle all this stuff manually, as I am. So I get out the rarely-used forever stamps and send the check.

In the couple years I've had an ORCA card, I've actually had to go through this check-sending process twice. It hasn't gotten better. But I feel pretty proud that I did catch it once before a failed charge required a check to be sent. And yes, I still have autoload set up even today...

## Redbox

I like redbox. I use it primarily because Netflix selection is weak and I have a few redboxes within easy walking distance. :0)

So, as usual, I'm out to dinner and I open the app and reserve Jack the Giant Slayer, mindlessly clicking through things until I had everything reserved. And then it hit me - I don't have that old credit card in my hand anymore, so I can't just scan the card and pick it up like usual... Maybe I could change it?

So I use the app to add my new credit card and attempt to change the previous reservation. No dice.

Later, at the machine, I try the new credit card in the machine, and it doesn't find anything.

I look to see if there are any more of Jack the Giant Slayer in stock at this location, and the answer is no. So I try to cancel the previous reservation, and I can't do that.

I start trying to call support over this $1.29 movie, and while I wait I try to reserve the movie at a different location with my new credit card, and I get this, the coup de grace:

![Redbox already rented message](https://static.sinap.ps/blog/2014/Feb/Redbox_already_rented-1.png)

_NO! It's NOT available for me at the location I chose! That's why I'm trying to reserve it again! I'm not stupid!_

At this point my girlfriend starts trying to calm me down. I breathe deeply. Zen! I hang up on the customer service call, and we sit down for a drink.

On our way home she walks up to a different machine with it in stock and rents it with her credit card, no account required. Definitely points for redbox convenience there. And the movie wasn't completely horrible either.

## So, what can we learn?

As application developers, we need to treat customer credit cards as impermanent things. Software needs to handle payment failures without treating the customer like a criminal. Especially if the customer has a track record of successful payments.

And as consumers, sometimes we will have to call customer service or email support, and sometimes we may even have to go without that service we love for a couple days. :0)
